using UnityEngine;
using System.Collections;

public class RoachSpawner : MonoBehaviour
{
	public Cockroach roachPrefab;
	public int roachesToSpawn = 100;
	public Vector3 spawnSize = Vector3.zero;
	
	// Use this for initialization
	void Start () 
	{
		int spawnCount = roachesToSpawn;
		
		while(spawnCount > 0)
		{
			var testPosition = new Vector3(transform.position.x + Random.Range(0f, spawnSize.x), 0.02f, transform.position.z + Random.Range(0f, spawnSize.z));
			
			var spawnRotation = Quaternion.Euler(0f, Random.Range(0f, 360f), 0f);
			Instantiate(roachPrefab, testPosition, spawnRotation);
			spawnCount--;
		}
	
	}
}
