using UnityEngine;
using System.Collections;

public class MenuMusic : MonoBehaviour 
{
	public AudioClip audioClip;

	void Awake()
	{
		DontDestroyOnLoad(this);
	}
	
	public void SetAudioClip(AudioClip clip)
	{
		AudioSource audioSource = (AudioSource)GetComponent(typeof(AudioSource));
		if(audioSource != null)
		{
			if(clip == null || audioSource.clip == null || clip.name != audioSource.clip.name)
			{
				audioSource.clip = clip;
				audioSource.Play();
			}
		}
		audioClip = clip;
	}
}
